﻿using System.Windows;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace GeoTiffCustomZoomLevelSet
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.DecimalDegree;
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(24000000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(8000000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(3000000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(1000000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(500000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(250000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(125000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(64000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(32000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(16000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(8000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(4000.0));
            wpfMap1.ZoomLevelSet.CustomZoomLevels.Add(new ZoomLevel(2000.0));

            GeoTiffRasterLayer sidImageLayer = new GeoTiffRasterLayer(@"..\..\App_Data\World.tif");
            sidImageLayer.Open();
            sidImageLayer.UpperThreshold = double.MaxValue;
            sidImageLayer.LowerThreshold = 0;
            sidImageLayer.Open();
            wpfMap1.CurrentExtent = sidImageLayer.GetBoundingBox();

            OsmWorldMapKitLayer worldMapKit = new OsmWorldMapKitLayer(@"Data Source=xx.sqlite;Version=3;", OsmWorldMapKitDatabaseType.Sqlite);
            LayerOverlay staticOverlay = new LayerOverlay() { TileCache = new FileBitmapTileCache("C:\\TiffCache") };
            staticOverlay.Layers.Add("worldMapKit", worldMapKit);
            staticOverlay.Layers.Add("SidImageLayer", sidImageLayer);
            wpfMap1.Overlays.Add(staticOverlay);
            wpfMap1.Refresh();

        }
    }
}
